">

- NAME
- SYNOPSIS
- DESCRIPTION
- INSTANCE METHODS
- AUTHOR
- SEE ALSO

# NAME

Lintian::Processable -- An (abstract) object that Lintian can process

# SYNOPSIS

     use Lintian::Processable;

# DESCRIPTION

Instances of this perl class are objects that Lintian can process (e.g. deb files). Multiple objects can then be combined into groups, which Lintian will process together.

# INSTANCE METHODS

name

  Returns the name of the package.

type

  Returns the type of package (e.g. binary, source, udeb ...)

$proc->version

  Returns the version of the package.

$proc->path

  Returns the path to the packaged version of actual package. This path is used in case the data needs to be extracted from the package.

$proc->architecture

  Returns the architecture(s) of the package. May return multiple values from changes processables. For source processables it is "source".

$proc->source_name

  Returns the name of the source package.

$proc->source_version

  Returns the version of the source package.

$proc->tainted

  Returns a truth value if one or more fields in this Processable is tainted. On a best effort basis tainted fields will be sanitized to less dangerous (but possibly invalid) values.

fields

  Lintian::Deb822::Section with primary field values.

$proc->pooldir

  Returns a reference to lab this Processable is in.

$proc->basedir

  Returns the base directory of this package inside the lab.

`identifier`

  Produces an identifier for this processable. The identifier is based on the type, name, version and architecture of the package.

remove

  Removes all unpacked parts of the package in the lab. Returns a truth value if successful.

clean_field

  Cleans a field of evil characters to prevent traversal or worse.

guess_name
unfolded_field (FIELD)

  This method returns the unfolded value of the control field FIELD in the control file for the package. For a source package, this is the *.dsc file; for a binary package, this is the control file in the control section of the package.

  If FIELD is passed but not present, then this method returns undef.

# AUTHOR

Originally written by Niels Thykier <niels@thykier.net> for Lintian. Substantial portions written by Russ Allbery <rra@debian.org> for Lintian.

# SEE ALSO

lintian(1)

Lintian::Processable::Installable

Lintian::Processable::Buildinfo

Lintian::Processable::Changes

Lintian::Processable::Source

Lintian::Group

<<